/***************************************************************************
 *   NGT (Neopontec Gaming Toolkit		      			   *
 *   Distributed under the terms of the GNU LGPL License		   *
 *   Copyright (C) 2005 by Hector Blanco de Frutos                         *
 *   hectorblanco@neopontec.com                                            *
 *   Refer to the LICENSE file to read the full license agreement          *
 ***************************************************************************/
 


#include "video_basic.h"

void NGT_Surface::draw(SDL_Surface *surf){
	
	SDL_Rect destrect; 
    destrect.x = x; 
    destrect.y = y;
    //printf("*NGT_Surface.draw: x=%i, y=%i\n", x, y);
    SDL_BlitSurface(surface, NULL, surf, &destrect);
}


int NGT_Surface::LoadIMG(char *filename){
	surface=IMG_Load(filename);
	if (surface==NULL){
		printf("*NGT_Surface.LoadIMG: ERROR Loading image file: '%s'\n",filename);	
		return 1;
	}else{
		// All gone OK
		printf("*NGT_Surface.LoadIMG: Loaded image file: '%s'\n",filename);	
		return 0;	
	}
}


// Independent functions
// Load an image file
SDL_Surface *NGT_SurfaceLoad(char* file)
{
	return(IMG_Load(file));
}    

//Draw a surface to the screen surface
void NNG_SurfaceDraw(SDL_Surface *screen, SDL_Surface *img, int x, int y)
{
    SDL_Rect dest; 
    dest.x = x; 
    dest.y = y;  
    SDL_BlitSurface(img, NULL, screen, &dest); 
}

// Blit a portion of an image on the screen surface
void NNG_SurfaceDraw(SDL_Surface *screen, SDL_Surface *img, int x, int y, int w, int h, int x2, int y2)
{
  SDL_Rect dest;
  dest.x = x;
  dest.y = y;
  SDL_Rect dest2;
  dest2.x = x2;
  dest2.y = y2;
  dest2.w = w;
  dest2.h = h;
  SDL_BlitSurface(img, &dest2, screen, &dest);
}
